#
# QMTech Cyclone IV Starter Kit
#
# EP4CE15F23C8N
#

package require ::quartus::project

############################################################
#
# Pins available for general IO
#
############################################################

#J12 40 pin vertical header
set_location_assignment PIN_B9 -to IO_B9
set_location_assignment PIN_B10 -to IO_B10
set_location_assignment PIN_B13 -to IO_B13
set_location_assignment PIN_B14 -to IO_B14
set_location_assignment PIN_B15 -to IO_B15
set_location_assignment PIN_B16 -to IO_B16
set_location_assignment PIN_B17 -to IO_B17
set_location_assignment PIN_B18 -to IO_B18
set_location_assignment PIN_B19 -to IO_B19
set_location_assignment PIN_B20 -to IO_B20
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B9
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B10
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B13
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B14
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B15
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B16
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B17
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B18
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B19
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_B20


#J10 12 pin header PMOD

#J11 12 pin header PMOD

#JP1 18 pin horizontal header "camera interface"
set_location_assignment PIN_A8 -to IO_A8
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to IO_A8



############################################################
#
# Pins already allocated to hardware on the PCB by QMTech
#
############################################################


#
# Main clock
#
set_location_assignment PIN_T2 -to CLOCK_50
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to CLOCK_50


#
# Switch input (often used as reset input RESET_N in QMTech examples)
#
set_location_assignment PIN_J4 -to KEY_SW1
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to KEY_SW1


#
# There is only one LED and that is D5
#
set_location_assignment PIN_E3 -to LED_D5
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to LED_D5


#
# Three 7 segment displays multiplexed
#
set_location_assignment PIN_W19 -to SEG_DATA[7]
set_location_assignment PIN_U19 -to SEG_DATA[6]
set_location_assignment PIN_W17 -to SEG_DATA[5]
set_location_assignment PIN_W15 -to SEG_DATA[4]
set_location_assignment PIN_Y17 -to SEG_DATA[3]
set_location_assignment PIN_W20 -to SEG_DATA[2]
set_location_assignment PIN_U20 -to SEG_DATA[1]
set_location_assignment PIN_V15 -to SEG_DATA[0]
set_location_assignment PIN_Y13 -to SEG_SEL[2]
set_location_assignment PIN_W13 -to SEG_SEL[1]
set_location_assignment PIN_V13 -to SEG_SEL[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_DATA[7]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_DATA[6]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_DATA[5]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_DATA[4]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_DATA[3]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_DATA[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_DATA[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_DATA[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_SEL[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_SEL[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to SEG_SEL[0]


#
# UART using Silicon Labs CP2101
#
set_location_assignment PIN_Y22 -to TXD_OUT
set_location_assignment PIN_Y21 -to RXD_IN
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to TXD_OUT
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to RXD_IN



#
# VGA output
#
set_location_assignment PIN_AA13 -to VGA_HS
set_location_assignment PIN_AB10 -to VGA_VS

set_location_assignment PIN_AA21 -to VGA_R[0]
set_location_assignment PIN_AA20 -to VGA_R[1]
set_location_assignment PIN_AB20 -to VGA_R[2]
set_location_assignment PIN_AA19 -to VGA_R[3]
set_location_assignment PIN_AB19 -to VGA_R[4]

set_location_assignment PIN_AB15 -to VGA_B[0]
set_location_assignment PIN_AB14 -to VGA_B[1]
set_location_assignment PIN_AA15 -to VGA_B[2]
set_location_assignment PIN_AB13 -to VGA_B[3]
set_location_assignment PIN_AA14 -to VGA_B[4]

set_location_assignment PIN_AB18 -to VGA_G[0]
set_location_assignment PIN_AA18 -to VGA_G[1]
set_location_assignment PIN_AA17 -to VGA_G[2]
set_location_assignment PIN_AB17 -to VGA_G[3]
set_location_assignment PIN_AA16 -to VGA_G[4]
set_location_assignment PIN_AB16 -to VGA_G[5]



#
# RTL8211EG Ethernet PHY
#
set_location_assignment PIN_L21 -to ETH_GTXC
set_location_assignment PIN_W22 -to ETH_MDC
set_location_assignment PIN_W21 -to ETH_MDIO
set_location_assignment PIN_N22 -to ETH_RESET
set_location_assignment PIN_F21 -to ETH_RXC
set_location_assignment PIN_J21 -to ETH_RXD[7]
set_location_assignment PIN_J22 -to ETH_RXD[6]
set_location_assignment PIN_H21 -to ETH_RXD[5]
set_location_assignment PIN_H22 -to ETH_RXD[4]
set_location_assignment PIN_F22 -to ETH_RXD[3]
set_location_assignment PIN_E21 -to ETH_RXD[2]
set_location_assignment PIN_E22 -to ETH_RXD[1]
set_location_assignment PIN_D21 -to ETH_RXD[0]
set_location_assignment PIN_D22 -to ETH_RXDV
set_location_assignment PIN_K22 -to ETH_RXER
set_location_assignment PIN_R22 -to ETH_TXC
set_location_assignment PIN_V22 -to ETH_TXD[7]
set_location_assignment PIN_U21 -to ETH_TXD[6]
set_location_assignment PIN_U22 -to ETH_TXD[5]
set_location_assignment PIN_R21 -to ETH_TXD[4]
set_location_assignment PIN_P21 -to ETH_TXD[3]
set_location_assignment PIN_P22 -to ETH_TXD[2]
set_location_assignment PIN_N21 -to ETH_TXD[1]
set_location_assignment PIN_M21 -to ETH_TXD[0]
set_location_assignment PIN_M22 -to ETH_TXEN
set_location_assignment PIN_V21 -to ETH_TXER

set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_GTXC
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_MDC
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_MDIO
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RESET
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXC
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXD[7]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXD[6]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXD[5]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXD[4]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXD[3]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXD[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXD[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXD[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXDV
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_RXER
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXC
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXD[7]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXD[6]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXD[5]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXD[4]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXD[3]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXD[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXD[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXD[0]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXEN
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to ETH_TXER



#
# SDRAM
#
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_CS_N
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_CLK
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_CKE
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_WE_N
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_LDQM
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_UDQM
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_RAS_N
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_CAS_N

set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_BA[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_BA[0]

set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[12]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[11]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[10]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[9]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[8]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[7]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[6]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[5]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[4]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[3]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_ADDR[0]

set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[15]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[14]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[13]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[12]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[11]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[10]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[9]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[8]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[7]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[6]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[5]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[4]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[3]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[2]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[1]
set_instance_assignment -name IO_STANDARD "3.3-V LVTTL" -to DRAM_DQ[0]

set_location_assignment PIN_AA3  -to DRAM_CS_N
set_location_assignment PIN_Y6   -to DRAM_CLK
set_location_assignment PIN_W6   -to DRAM_CKE
set_location_assignment PIN_AB4  -to DRAM_WE_N
set_location_assignment PIN_AA5  -to DRAM_LDQM
set_location_assignment PIN_W7   -to DRAM_UDQM
set_location_assignment PIN_AB3  -to DRAM_RAS_N
set_location_assignment PIN_AA4  -to DRAM_CAS_N

set_location_assignment PIN_Y1   -to DRAM_BA[0]
set_location_assignment PIN_W2   -to DRAM_BA[1]

set_location_assignment PIN_V2   -to DRAM_ADDR[0]
set_location_assignment PIN_V1   -to DRAM_ADDR[1]
set_location_assignment PIN_U2   -to DRAM_ADDR[2]
set_location_assignment PIN_U1   -to DRAM_ADDR[3]
set_location_assignment PIN_V3   -to DRAM_ADDR[4]
set_location_assignment PIN_V4   -to DRAM_ADDR[5]
set_location_assignment PIN_Y2   -to DRAM_ADDR[6]
set_location_assignment PIN_AA1  -to DRAM_ADDR[7]
set_location_assignment PIN_Y3   -to DRAM_ADDR[8]
set_location_assignment PIN_V5   -to DRAM_ADDR[9]
set_location_assignment PIN_W1   -to DRAM_ADDR[10]
set_location_assignment PIN_Y4   -to DRAM_ADDR[11]
set_location_assignment PIN_V6   -to DRAM_ADDR[12]

set_location_assignment PIN_AA10 -to DRAM_DQ[0]
set_location_assignment PIN_AB9  -to DRAM_DQ[1]
set_location_assignment PIN_AA9  -to DRAM_DQ[2]
set_location_assignment PIN_AB8  -to DRAM_DQ[3]
set_location_assignment PIN_AA8  -to DRAM_DQ[4]
set_location_assignment PIN_AB7  -to DRAM_DQ[5]
set_location_assignment PIN_AA7  -to DRAM_DQ[6]
set_location_assignment PIN_AB5  -to DRAM_DQ[7]
set_location_assignment PIN_Y7   -to DRAM_DQ[8]
set_location_assignment PIN_W8   -to DRAM_DQ[9]
set_location_assignment PIN_Y8   -to DRAM_DQ[10]
set_location_assignment PIN_V9   -to DRAM_DQ[11]
set_location_assignment PIN_V10  -to DRAM_DQ[12]
set_location_assignment PIN_Y10  -to DRAM_DQ[13]
set_location_assignment PIN_W10  -to DRAM_DQ[14]
set_location_assignment PIN_V11  -to DRAM_DQ[15]
